seo:
  title: My experience as a recruiting intern at GitLab
  description: >-
    Why interning for an asynchronous and all-remote company is the best way to
    go.
  ogTitle: My experience as a recruiting intern at GitLab
  ogDescription: >-
    Why interning for an asynchronous and all-remote company is the best way to
    go.
  noIndex: false
  ogImage: images/blog/hero-images/books-internship-post.jpg
  ogUrl: >-
    https://about.gitlab.com/blog/how-a-remote-internship-at-gitlab-shaped-my-career
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/how-a-remote-internship-at-gitlab-shaped-my-career
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "My experience as a recruiting intern at GitLab",
            "author": [{"@type":"Person","name":"Trevor Knudsen"}],
            "datePublished": "2019-12-06",
          }

content:
  title: My experience as a recruiting intern at GitLab
  description: >-
    Why interning for an asynchronous and all-remote company is the best way to
    go.
  authors:
    - Trevor Knudsen
  heroImage: images/blog/hero-images/books-internship-post.jpg
  date: '2019-12-06'
  body: >


    [Applications for GitLab's engineering internship program are open! Apply
    now](/handbook/engineering/internships/).

    {: .alert .alert-gitlab-purple .text-center}


    While a remote internship may seem like a foreign idea with many limitations
    to some, in reality, the options can be far less limiting than office work.
    Working remotely comes with many perks, including work-life balance, ability
    to travel, and the flexibility to work wherever you please, but the benefits
    go beyond that. Taking an internship away from the office offers learning
    experiences. You have the opportunity to work with people outside your city
    – and instead collaborate with people from all around the world.
    Flexibility, learning opportunities, mentors, and work experience are all so
    accessible with a remote internship.


    ## Why I joined GitLab


    As a communications major at California State University, Fullerton, I was
    required to find an internship. While I was looking for an internship, the
    [all-remote](/blog/2015/04/08/the-remote-manifesto/) setup of GitLab
    immediatly caught my attention, and there was an opportunity as recruiting
    intern that I could not pass up. I applied and after going through the
    interview process I was offered the position. 🎉


    ### Globally distributed team


    I started with GitLab in October 2017, which was my senior year of college.
    My first day with GitLab was such a rush. I met with my mentor, manager, and
    the team, and went through onboarding. I was welcomed as if I was a
    full-time employee by my team, and I quickly realized my entire team was my
    mentor. I had coworkers in the United Kingdom, South Africa, and all across
    the United States. While every team member was helpful, one of my greatest
    mentors was (and continues to be) [Nadia
    Vatalidis](/company/team/#vatalidis). She worked as a recruiter also and
    checked in with me on a regular basis to make sure I felt comfortable using
    the GitLab tool and see what tasks I was working on. We also collaborated on
    different projects the recruting team was working on.


    ### Our values


    GitLab is guided by its values, and each day I saw these
    [values](/handbook/values/) used in every aspect of our work. The
    [diversity](/handbook/values/#diversity-inclusion) of the recruiting team
    was a strength, bringing creative solutions to the table each day. The
    entire company [collaborated](/handbook/values/#collaboration) on projects
    and shared ideas, while always respecting each other's thoughts and
    opinions. One of the great things about working with GitLab was that if an
    idea was presented, it could be implemented after a bit of discussion even
    if not yet refined. This ensured that we operated with
    [efficency](/handbook/values/#efficiency) and
    [transparency](/handbook/values/#transparency) values. Our team would push
    forward initiatives and ideas and [iterate](/handbook/values/#iteration) on
    them as they were implemented.


    ### All-remote and asyncronous workflows


    The wonderful thing about GitLab is I was able to work when I wanted. When I
    had midterms coming up, I was able to take a few days off to study. Vacation
    was never a hindrance, I simply took the days off. GitLab has a [no ask,
    must tell](/handbook/paid-time-off/) PTO policy, meaning as long as I shared
    my plans with manager and team, I could take the time off. Working remotely
    also allowed me to work from anywhere. When I took a trip to Zion National
    Park in Utah with friends, I was able to adjust my working hours so I could
    explore by day and work in the evenings. On a snowy day in Zion, I sat on
    the back patio next to a warm fire, watching the beauty of the snowfall. It
    was this experience that helped me recognize the true potential of
    all-remote. The best part about the flexibility is even when I adjusted my
    work hours, I was never truly alone. Team members in Europe, the Middle
    East, and even in Africa were online when the team in the Americas has
    already logged out. Someone was always online and available for support.


    ## Not your average internship


    My experience as a GitLab intern was not typical, because it was a true work
    experience. I got the pleasure of working alongside the team on major
    projects, such as looking into a new application tracking system. I got to
    be involved in screening calls, scheduling interviews for candidates, and
    helped implement a better solution on how to maintain company assets. My
    internship helped me learn and grow the skills necessary to be part of the
    recruiting team, and ultimately landed me a full-time position at GitLab
    just six months into my internship.


    I learned so much as a GitLab team member, and met so many people who
    continue to be a mentor to me today. An all-remote internship was also ideal
    for me as a student, because I was able to have a solid work-life balance –
    something I continue to enjoy today.


    If you're a student or career-changer searching for an internship, be sure
    to not undercut remote work opportunities. Check out GitLab's [current
    internship opportunites](/handbook/engineering/internships/). You can really
    learn so much as part of a fully distributed team.


    _Read more about [making remote internships
    successful](/blog/2018/08/16/making-remote-internships-successful/)._


    Cover image by Patrick Tomasso on [Unsplash](https://unsplash.com)

    {: .note}
  category: Culture
  tags:
    - collaboration
    - inside GitLab
    - remote work
config:
  slug: how-a-remote-internship-at-gitlab-shaped-my-career
  featured: false
  template: BlogPost
